[POST] .../v1/actionlog/get
Returns log actions. Use this method to retrieve the audit journal of user actions for security review, support investigations or entity history screens. The request requires permission 48 for the current user and supports filters by user_ids, entity_type or table_ids, entity_id or record_id, Unix start_date and end_date, plus limit and offset pagination. The response returns a paged list with the action log ID, acting user, translated table and action names, entity_id, record_id, record name, translated action description, next_offset and total. Business errors such as missing body, denied permission, invalid entity_type, conflicting entity_id and record_id, database failures or translation lookup errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
| limit | Int32 | Optional | Maximum number of records to return. Default value is 10000. Maximum value is 10000. |
| offset | Int32 | Optional | Offset from the beginning of the result set. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| end_date | int | Period end date as Unix time in seconds. |
| entity_id | int | ID of the entity that the change was applied to. |
| entity_type | string | Entity type. |
| record_id | int | ID of the record that the change was applied to. |
| start_date | int | Period start date as Unix time in seconds. |
| table_ids | int | Table IDs. |
| user_ids | int | User IDs. |
Request Example
{
"filters": [
{
"Field": "end_date",
"Operator": "Equal",
"Value": "string"
}
],
"limit": 1,
"offset": 1
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Actionlog | Result array. |
| total | Int64 | Total number of result items. |
Response Example
{
"next_offset": 1,
"ok": true,
"result": [
{
"action_type": {
"id": 1,
"last_update": 1,
"name": "string"
},
"date": 1,
"description": "string",
"entity_id": 1,
"id": 1,
"last_update": 1,
"record_name": "string",
"table": {
"id": 1,
"last_update": 1,
"name": "string"
},
"user": {
"active": true,
"address": "string",
"can_authorize": true,
"date_of_birth": "string",
"description": "string",
"email": "string",
"enable_hints": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"id": 1,
"internal_phone": "string",
"language_code": "string",
"last_name": "string",
"last_update": 1,
"login": "string",
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"photo_url": "string",
"seller_barcode": "string",
"sex": "none",
"sub": "string",
"system": true,
"user_group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
}
}
],
"total": 1
}